package com.foreverwin.mesnac.production.model;

import java.math.BigDecimal;

/**
 * 描述: 工序步骤
 * 作者: philip
 * 时间: 2021-6-29 08:48
 */
public class StepOperation {
    private String handle;

    private String routerBo;

    private String operationBo;

    private String operation;

    private String description;

    private String stepId;

    private String erpOperation;

    private BigDecimal sequence;

    /** 步骤排队数量 **/
    private BigDecimal qtyInQueue;

    /** 步骤在制数量 **/
    private BigDecimal qtyInWork;

    private String reportingCenterBo;

    private String resourceBo;

    private String resrce;

    public String getResrce() {
        return resrce;
    }

    public void setResrce(String resrce) {
        this.resrce = resrce;
    }

    public String getRouterBo() {
        return routerBo;
    }

    public void setRouterBo(String routerBo) {
        this.routerBo = routerBo;
    }

    public String getHandle() {
        return handle;
    }

    public void setHandle(String handle) {
        this.handle = handle;
    }

    public String getResourceBo() {
        return resourceBo;
    }

    public void setResourceBo(String resourceBo) {
        this.resourceBo = resourceBo;
    }

    public String getOperationBo() {
        return operationBo;
    }

    public void setOperationBo(String operationBo) {
        this.operationBo = operationBo;
    }

    public String getOperation() {
        return operation;
    }

    public void setOperation(String operation) {
        this.operation = operation;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getStepId() {
        return stepId;
    }

    public void setStepId(String stepId) {
        this.stepId = stepId;
    }

    public BigDecimal getSequence() {
        return sequence;
    }

    public void setSequence(BigDecimal sequence) {
        this.sequence = sequence;
    }

    public String getReportingCenterBo() {
        return reportingCenterBo;
    }

    public void setReportingCenterBo(String reportingCenterBo) {
        this.reportingCenterBo = reportingCenterBo;
    }

    public BigDecimal getQtyInQueue() {
        return qtyInQueue;
    }

    public void setQtyInQueue(BigDecimal qtyInQueue) {
        this.qtyInQueue = qtyInQueue;
    }

    public BigDecimal getQtyInWork() {
        return qtyInWork;
    }

    public void setQtyInWork(BigDecimal qtyInWork) {
        this.qtyInWork = qtyInWork;
    }

    public String getErpOperation() {
        return erpOperation;
    }

    public void setErpOperation(String erpOperation) {
        this.erpOperation = erpOperation;
    }
}
